[Kubuntu] Fail to connect to wifi after a recent update

Bug #1569674 reported by Avishay on 2016-04-13
308
This bug affects 75 people
Affects Status Importance Assigned to Milestone
networkmanager-qt (Ubuntu)
High
Unassigned
Xenial
High
Unassigned

Bug Description

[Impact]
The new Network manager has some extra options and this breaks the usage of many network connections. No new connection can be created or existing ones edited.

[Testcase]
Before patch:
  * Install Kubuntu 16.04
  * Connect to a network (connection being done automatically)
  * Create a new VPN connection
    * For example PPTP
    * Type in gateway any string longer than one character
    * Click ok
    * Receive notification error «connection.gateway-ping-timeout: can not set property: value "18454592" of type 'guint' is invalid or out of range for property 'gateway-ping-timeout' of type 'guint'»
    * notice connection is not created
  * Create a new connection (wireless or wired)
    * Change the IP to manual
    * Save
    * Receive noification error «same as above»
    * Notice connection is not created
  * Import a VPN connection
    * Save
    * Receive notification error «same as above»
    * Notice connection is not created

[Fix]
In KDE bug https://bugs.kde.org/show_bug.cgi?id=362141 for this issue a fix is commited. This is released in KDE Frameworks 5.21. The patch can be cherry picked and applied to networkmanager-qt 5.18.

[Original Description]
I installed the recent updates in the Update Manager and after rebooting I wasn't able to connect to my wifi network anymore.
It attempts to connect to the network and fails with the following error message:

Failed to update connection [network name]
connection.gateway-ping-timeout: can not set property:
value "46730064" of type 'guint' is invalid or out of range for property 'gateway-ping-timeout' of type 'guint'

I am able to use wired connection.

1. release:
Description: Ubuntu Xenial Xerus (development branch)
Release: 16.04

2. network-manager version:
network-manager:
  Installed: 1.1.93-0ubuntu3
  Candidate: 1.1.93-0ubuntu3
  Version table:
 *** 1.1.93-0ubuntu3 500
        500 http://il.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
        100 /var/lib/dpkg/status

3. I expected the machine to connect to wifi as always

4. it failed to connect with the above error message

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: network-manager 1.1.93-0ubuntu2
ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
Uname: Linux 4.4.0-18-generic x86_64
ApportVersion: 2.20.1-0ubuntu1
Architecture: amd64
CurrentDesktop: KDE
Date: Wed Apr 13 06:37:27 2016
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
InstallationDate: Installed on 2016-04-01 (11 days ago)
InstallationMedia: Kubuntu 16.04 LTS "Xenial Xerus" - Beta amd64 (20160331)
IpRoute:
 default via 10.100.102.1 dev enp0s31f6 proto static metric 100
 10.100.102.0/24 dev enp0s31f6 proto kernel scope link src 10.100.102.5 metric 100
 169.254.0.0/16 dev enp0s31f6 scope link metric 1000
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=false
 WWANEnabled=false
 WimaxEnabled=true
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: yes
  Hard blocked: no
SourcePackage: network-manager
UpgradeStatus: No upgrade log present (probably fresh install)
mtime.conffile..etc.NetworkManager.NetworkManager.conf: 2016-04-12T22:28:14.870844
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH CONNECTION CON-UUID CON-PATH
 enp0s31f6 ethernet connected /org/freedesktop/NetworkManager/Devices/0 Wired connection 1 d956dc0d-4de6-4f45-8869-a3703d8d0d28 /org/freedesktop/NetworkManager/ActiveConnection/1
 wlp4s0 wifi unavailable /org/freedesktop/NetworkManager/Devices/2 -- -- --
 lo loopback unmanaged /org/freedesktop/NetworkManager/Devices/1 -- -- --
nmcli-nm: Error: command ['nmcli', '-f', 'all', 'nm'] failed with exit code 2: Error: Object 'nm' is unknown, try 'nmcli help'.

Avishay (avishay-livne) wrote :
Avishay (avishay-livne) wrote :

I believe that the update that cause this bug was released yesterday. My system was up-to-date two days ago (no updates available) and the issue started after I installed the updates yesterday

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in network-manager (Ubuntu):
status: New → Confirmed
Mirzet Kadic (caracal-enl) wrote :

exactly the same experience here. I keep my systems up to date and I would say the bad update came yesterday (12.04.16)

tags: added: nm11issue rls-x-incoming
Changed in network-manager (Ubuntu):
importance: Undecided → High
Sebastien Bacher (seb128) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. The issue you are reporting is an upstream one and it would be nice if somebody having it could send the bug to the developers of the software by following the instructions at https://wiki.ubuntu.com/Bugs/Upstream/GNOME. If you have done so, please tell us the number of the upstream bug (or the link), so we can add a bugwatch that will inform us about its status. Thanks in advance.

Tony Espy (awe) on 2016-04-15
summary: - Fail to connect to wifi after a recent update
+ [Kubuntu] Fail to connect to wifi after a recent update
Tony Espy (awe) wrote :

@Avishay

Were you connected to WiFi before you rebooted, or were you trying to connect to a network from the network menu for the first time?

Does the failure occur for *any* networks you're trying to connect to via WiFi?

I don't have Kubuntu installed on any of my machines, but I was able to bring up Kubuntu with today's daily install/liveCD and could connect to my home WiFi network ( WPA2-PSK ).

Could you take a look to see if there's a connection file for the AP you're trying to connect to in /etc/NetworkManager/system-connections? If so, could you attach to the bug ( after stripping any private data in the file )?

Tony Espy (awe) wrote :

One other note, I tried installing Kubuntu, but wasn't able to do so with today's daily image. This makes debugging a bit difficult...

Download full text (4.2 KiB)

1. I was connected to WiFi before rebooting.
2. I wasn't able to connect to 2 out of 2 networks I tried to. Hadn't had
the opportunity to try other networks.
3. There's a file per WiFi network appearing in my Connection Editor
screen. Attached the content of the file of the network I recently tried to
connect to
[connection]
id=#####
uuid=#####
type=wifi
gateway-ping-timeout=172
permissions=user:#####:;
secondaries=

[wifi]
mac-address-blacklist=
mac-address-randomization=0
mode=infrastructure
seen-bssids=
ssid=#####

[wifi-security]
group=
key-mgmt=wpa-psk
pairwise=
proto=
psk-flags=1

[ipv4]
dns-search=
method=auto

[ipv6]
addr-gen-mode=stable-privacy
dns-search=
method=auto

On Fri, Apr 15, 2016 at 11:58 PM, Tony Espy <email address hidden>
wrote:

> One other note, I tried installing Kubuntu, but wasn't able to do so
> with today's daily image. This makes debugging a bit difficult...
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1569674
>
> Title:
> [Kubuntu] Fail to connect to wifi after a recent update
>
> Status in network-manager package in Ubuntu:
> Confirmed
>
> Bug description:
> I installed the recent updates in the Update Manager and after rebooting
> I wasn't able to connect to my wifi network anymore.
> It attempts to connect to the network and fails with the following error
> message:
>
> Failed to update connection [network name]
> connection.gateway-ping-timeout: can not set property:
> value "46730064" of type 'guint' is invalid or out of range for property
> 'gateway-ping-timeout' of type 'guint'
>
> I am able to use wired connection.
>
> 1. release:
> Description: Ubuntu Xenial Xerus (development branch)
> Release: 16.04
>
> 2. network-manager version:
> network-manager:
> Installed: 1.1.93-0ubuntu3
> Candidate: 1.1.93-0ubuntu3
> Version table:
> *** 1.1.93-0ubuntu3 500
> 500 http://il.archive.ubuntu.com/ubuntu xenial/main amd64
> Packages
> 100 /var/lib/dpkg/status
>
> 3. I expected the machine to connect to wifi as always
>
> 4. it failed to connect with the above error message
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: network-manager 1.1.93-0ubuntu2
> ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
> Uname: Linux 4.4.0-18-generic x86_64
> ApportVersion: 2.20.1-0ubuntu1
> Architecture: amd64
> CurrentDesktop: KDE
> Date: Wed Apr 13 06:37:27 2016
> IfupdownConfig:
> # interfaces(5) file used by ifup(8) and ifdown(8)
> auto lo
> iface lo inet loopback
> InstallationDate: Installed on 2016-04-01 (11 days ago)
> InstallationMedia: Kubuntu 16.04 LTS "Xenial Xerus" - Beta amd64
> (20160331)
> IpRoute:
> default via 10.100.102.1 dev enp0s31f6 proto static metric 100
> 10.100.102.0/24 dev enp0s31f6 proto kernel scope link src
> 10.100.102.5 metric 100
> 169.254.0.0/16 dev enp0s31f6 scope link metric 1000
> NetworkManager.state:
> [main]
> NetworkingEnabled=true
> WirelessEnabled=false
> WWANEnabled=false
> WimaxEnabled=true
> RfKill:
> 0: phy0: Wireless LAN
> S...

Read more...

Tony Espy (awe) wrote :

@Avishay

Can you try removing the 'gateway-ping-timeout' line from one of your connections and retry? From the error you originally reported, it looks like the Plasma networking code is mangling this value and NM complains...

Avishay (avishay-livne) wrote :
Download full text (3.8 KiB)

Hi,
It seems to make no difference when I remove the gateway-ping-timeout line
from the file. I get the same error

On Mon, Apr 18, 2016 at 5:42 PM, Tony Espy <email address hidden>
wrote:

> @Avishay
>
> Can you try removing the 'gateway-ping-timeout' line from one of your
> connections and retry? From the error you originally reported, it looks
> like the Plasma networking code is mangling this value and NM
> complains...
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1569674
>
> Title:
> [Kubuntu] Fail to connect to wifi after a recent update
>
> Status in network-manager package in Ubuntu:
> Confirmed
>
> Bug description:
> I installed the recent updates in the Update Manager and after rebooting
> I wasn't able to connect to my wifi network anymore.
> It attempts to connect to the network and fails with the following error
> message:
>
> Failed to update connection [network name]
> connection.gateway-ping-timeout: can not set property:
> value "46730064" of type 'guint' is invalid or out of range for property
> 'gateway-ping-timeout' of type 'guint'
>
> I am able to use wired connection.
>
> 1. release:
> Description: Ubuntu Xenial Xerus (development branch)
> Release: 16.04
>
> 2. network-manager version:
> network-manager:
> Installed: 1.1.93-0ubuntu3
> Candidate: 1.1.93-0ubuntu3
> Version table:
> *** 1.1.93-0ubuntu3 500
> 500 http://il.archive.ubuntu.com/ubuntu xenial/main amd64
> Packages
> 100 /var/lib/dpkg/status
>
> 3. I expected the machine to connect to wifi as always
>
> 4. it failed to connect with the above error message
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: network-manager 1.1.93-0ubuntu2
> ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
> Uname: Linux 4.4.0-18-generic x86_64
> ApportVersion: 2.20.1-0ubuntu1
> Architecture: amd64
> CurrentDesktop: KDE
> Date: Wed Apr 13 06:37:27 2016
> IfupdownConfig:
> # interfaces(5) file used by ifup(8) and ifdown(8)
> auto lo
> iface lo inet loopback
> InstallationDate: Installed on 2016-04-01 (11 days ago)
> InstallationMedia: Kubuntu 16.04 LTS "Xenial Xerus" - Beta amd64
> (20160331)
> IpRoute:
> default via 10.100.102.1 dev enp0s31f6 proto static metric 100
> 10.100.102.0/24 dev enp0s31f6 proto kernel scope link src
> 10.100.102.5 metric 100
> 169.254.0.0/16 dev enp0s31f6 scope link metric 1000
> NetworkManager.state:
> [main]
> NetworkingEnabled=true
> WirelessEnabled=false
> WWANEnabled=false
> WimaxEnabled=true
> RfKill:
> 0: phy0: Wireless LAN
> Soft blocked: yes
> Hard blocked: no
> SourcePackage: network-manager
> UpgradeStatus: No upgrade log present (probably fresh install)
> mtime.conffile..etc.NetworkManager.NetworkManager.conf:
> 2016-04-12T22:28:14.870844
> nmcli-dev:
> DEVICE TYPE STATE DBUS-PATH
> CONNECTION CON-UUID CON-PATH
> enp0s31f6 ethernet connected
> /org/freedesktop/NetworkManager/Devices/0 Wired connection 1
...

Read more...

Chemtox (chemtox) wrote :

I get the same error when I try to edit about any property of any connection in kde5-nm-connection-editor, and also when I try to create a new connection. But every now and then, it will just work. Just managed to create this shared Wi-Fi config, for example:

[connection]
id=Nueva conexión 802-11-wireless
uuid=65d23f13-asdf-asdf-asdf-fb98asdf8701
type=wifi
autoconnect=false
permissions=user:chemtox:;
secondaries=

[wifi]
mac-address=00:00:00:00:00:00
mac-address-blacklist=
mac-address-randomization=0
mode=ap
seen-bssids=
ssid=my_shared_connection

[ipv4]
dns-search=
method=shared

[ipv6]
addr-gen-mode=stable-privacy
dns-search=
method=auto

Later, after 6-7 tries, I managed to change the auth to WPA.

So, looks like a pesky one.

I have the same problem with wired connections

Johan van Breda (jh-van-breda) wrote :

My system has the same problem. Looks like an un-initialized parameter.

Changes to the network via the GUI fail due to this, but nmcli still works.
That is cumbersome, but provides a workaround.

Grief (iamgrief) wrote :

https://bugs.kde.org/show_bug.cgi?id=362141 <- fixed in upstream, can it be merged urgently?

Please merge it. Still can't connect to wifi.

Maxiride (maxiride-gmail) wrote :

Any news about the fix for this issue?

Jochen Gruse (lpnet) wrote :

This bug affects me too. Bug #1571658 seems to be a duplicate of this bug, so there are even more people affected by this bug. Please fix soonish! B^)

Regards,
Jochen

markofealing (mark-ferns16) wrote :

This is quite a fundamental bug, if you can edit network connections through Connection Editor, unless you revert to the command line your computer is pretty useless. Whilst some of us know how to do this via the command line, if we want Linux to be adopted by average users then the community need to ensure that these sort of bugs do not make it through to the final release otherwise new users will look elsewhere.

markofealing (mark-ferns16) wrote :

From my experience with the bug, the time-out seems to be random and after a number of attempts I have been able to create a new network connection and eventually make it automatically connect.

Not sure what causes the time-out, but I have had a 1 in 5 success rate when trying to save settings. A fix is urgently needed.

Avishay (avishay-livne) wrote :

For all of you who also suffer from this bug - I am able to connect to wifi with the WICD network manager.
https://help.ubuntu.com/community/WICD
It might not be as fancy as plasma's network manager but it'll probably answer the needs of most of you
install using
sudo apt-get install wicd-gtk
or
sudo apt-get install wicd-kde

see more details in the link, note that you don't have to uninstall your current network manager, i.e., you can skip the
sudo apt-get remove network-manager
command

auspex (auspex) wrote :

Please don't suggest installing non-standard packages as a "fix" for broken packages in the default setup. Yeah, Network-manager is a pain and always has been, but until the distros choose to focus on Wicd rather than network-manager, NM is the tool that HAS to work to keep interest in Linux up.

Maxiride (maxiride-gmail) wrote :

@auspex the bug is almost one month old and still "unassigned", a workaround as suggested by @avishay is more than welcome to make my laptop usable instead of relying on my phone hotspot. Otherwise I would be without an internet connection! D:

@Maxiride WICD is a great tool, but if you don't want to install it, you can connect to wifi via command line while you wait for the fix of this bug. Here I show how (in Portuguese): http://williamivanski.com.br/blog.html

cablop (cablop) wrote :

To merge the fix is really needed! I wonder why Ubuntu nowadays is not as fast with solving user issues as before.

I use workaround below for this issue. I installed network-manager-gnome, started nm-applet and hidden the plasma-nm icon in the system tray settings. It seems than nm-applet doesn't have the bug with editing of WIFI connection settings.

Sebastien Bacher (seb128) wrote :

the issue is in the kde stack, reassigning

affects: network-manager (Ubuntu) → networkmanager-qt (Ubuntu)
Denis B (cornaline3) wrote :

I have the same problem with Kubuntu live 16.04
First I go to the "Avaible connections" and I select "Connect" on the connection I want.
I write the WPA Password and select again "Connect"
In a second time I have a window wich open "Password dialog-KDE Deamon"
I write the WPA Password.
During this time I have this message
 "Name of connection
 Connection "Name of connection"deactivated"
and a second message
"Wireless interface (wlps0b1)
 No secret were provided"
I finish to write the password and select "ok".
I don't have wifi connection.
So I tried to edit the connection and select Wifi Sécurity
I write the password and select "Ok" but there is no possibility to record the password like with Ubuntu 16.04 Live.
And just after, I have this message:

Fail to update connection "Name of connection"
connection gateway-ping-timeout can not set property value '28851376' of type 'guint' is invalid or out of range for property 'gateway-ping-timeout' of type 'guint'

Et voilà.

Philip Muškovac (yofel) wrote :

We were debugging bug #1580229, and as it might have the same cause as this issue, please try the patched networkmanager-qt package from https://launchpad.net/~clivejo/+archive/ubuntu/xenial

thanks!

Philip Muškovac (yofel) wrote :

Actually scratch that, now that I read all comments it's the same upstream bug, so yes, the package should solve this.

description: updated
Philip Muškovac (yofel) on 2016-05-10
Changed in networkmanager-qt (Ubuntu):
assignee: nobody → Clive Johnston (clivejo)
status: Confirmed → In Progress
Changed in networkmanager-qt (Ubuntu Xenial):
importance: Undecided → High
assignee: nobody → Clive Johnston (clivejo)
status: New → Confirmed
description: updated
Philip Muškovac (yofel) on 2016-05-10
Changed in networkmanager-qt (Ubuntu Xenial):
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networkmanager-qt - 5.18.0-0ubuntu3

---------------
networkmanager-qt (5.18.0-0ubuntu3) yakkety; urgency=medium

  * Update symbols for new symbol visibility in yakkety.

networkmanager-qt (5.18.0-0ubuntu2) yakkety; urgency=medium

  * Add upstream patch to Initialize gateway ping timeout (LP: #1569674)
    - upstream_Initialize_gateway_ping_timeout.patch

 -- Philip Muškovac <email address hidden> Tue, 10 May 2016 20:24:18 +0000

Changed in networkmanager-qt (Ubuntu):
status: In Progress → Fix Released

Hello Avishay, or anyone else affected,

Accepted networkmanager-qt into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/networkmanager-qt/5.18.0-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in networkmanager-qt (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Uqbar (uqbar) wrote :

I don't see that "Software & Updates" program under Kubuntu ...
Anything else?

Uqbar (uqbar) wrote :

Found!

Or you can modify the software sources manually by adding the following line to /etc/apt/sources.list:

deb http://archive.ubuntu.com/ubuntu/ xenial-proposed restricted main multiverse universe
If you are using a port arch such as armhf/arm64/ppc64el you need to add the following line instead :

deb http://ports.ubuntu.com/ubuntu-ports xenial-proposed restricted main multiverse universe

Philip Muškovac (yofel) wrote :

Thanks to the parallel nm update ubuntu1.1 failed to build, ubuntu1.2 pending

Philip Muškovac (yofel) wrote :

The 5.18.0-0ubuntu1.2 build is now in xenial-proposed, please test following Martin's instructions!

Yuriy Vidineev (adeptg) wrote :

Maybe it's only my problem (some times ago I installed network-manager from proposed. But now reverted), but I have:

Error loading QML file...(/usr/lib/x86_64-linux-gnu/libplasmanm_editor.so
: undefined symbol:_ZN14NetworkManager11WimaxDevice16staticMetaObjectE

ii libkf5networkmanagerqt6 5.18.0-0ubuntu1.2
ii plasma-nm 4:5.5.5-0ubuntu1
ii network-manager 1.1.93-0ubuntu4
ii libnm-glib4:amd64 1.1.93-0ubuntu4
ii libnm-util2:amd64 1.1.93-0ubuntu4
ii libnm0:amd64 1.1.93-0ubuntu4

Open Discover -> Burger menu (top right) -> Configure Sources -> Configure Software Sources -> Updates tab -> Updates for proposed software.

I hope I got the translations right.

Then do:
sudo apt update
sudo apt install libkf5networkmanagerqt6
sudo systemctl restart NetworkManager

Now go ahead and test creating a new connection or editing a connection.

After upgrade I've also tried to restart plasma and got this:

* Network Manager icon is broken in system tray
* clicking on it instead of showing the network connections list, it shows this error:
     Error loading QML file: file:///usr/share/plasma/plasmoids/org.kde.plasma.networkmanagement/contents/ui/main.qml:23:1: plugin cannot be loaded for module "org.kde.plasma.networkmanagement": cannot load library /usr/lib/x86_64-linux-gnu/qt5/qml/org/kde/plasma/networkmanagement/libplasmanm_qmlplugins.so: (/usr/lib/x86_64-linux-gnu/libplasmanm_editor.so: undefined symbol: _ZN14NetworkManager11WimaxDevice16staticMetaObjectE)

Please not that I could not select the error message so I can copy it, so I wrote this by hand...

Also please note that the test package from Clive's ppa worked as expected. This package broke it worse. Now I can't use the network manager at all.

To downgrade, use: sudo apt install libkf5networkmanagerqt6=5.18.0-0ubuntu1

and then restart. Logging out and in might work as well, I haven't tried it. I just rebooted.

Philip Muškovac (yofel) wrote :

Ok, this needs more investigation, back to the whiteboard.

Changed in networkmanager-qt (Ubuntu Xenial):
status: Fix Committed → In Progress
tags: added: verification-failed
removed: verification-needed
Michael Markstaller (makki) wrote :

It's fully broken now, see attached screenshot..

Santiago (santiago-osella) wrote :

Same thing here....as described in comment #38
Installed WICD to bypass the problem

Paede (patrick-steiner-gmx) wrote :

Same problem as comment #41

Same problem as comment #41

It worked fine until I booted the notebook without ethernet attached. Since then, only error.

Luciano Barea (lubareac) wrote :

Another one with the problem as comment #41.
The big problem now is how to install the update to fix this.

Uqbar (uqbar) wrote :

The problem is QA process and how this bug went mainstream on an LTS release.

Could errors like this have any bearing on WiFi performance?

I am only getting around 30Mbits/sec according to "iperf" (wires is fine at ~950Mbits/sec) and see errors like this constantly when I am trying to make changes to diagnose my poor WiFi performance.

Egbert van der Wal (eggie) wrote :

I just was struck by this bug too. Very annoying. Thankfully, plugging in a network cable gave me a working internet connection so I was able execute the downgrade as suggested in #39 without too much hassle. It's quite a serious show stopper bug that is hard to fix because it breaks the connection you need in order to fix it! Thanks Ovidiu-Florin BOGDAN for the workaround.

skooal (skooal) wrote :

Same bug here, I was also able to downgrade as per #39 hoping for a solution.

In kubuntu, proposed libkf5networkmanagerqt6 package breaks network-manager plasma applet.
The problematic package name is "plasma-nm".

Problem is, NetworkManager has dropped the WiMax support recently, but plasma-nm still thinks it should be here.
This package should be also rebuilt from upstream (as archlinux guys did, they also got hit by this issue)

Philip Muškovac (yofel) wrote :

Yes, this is related to the dropped WiMax support, see [1]. But plasma-nm doesn't need a rebuild, nmqt needs its binary compatibility fixed. That is pending in xenial unapproved because no archive admin had a chance to review the fix yet.

[1] https://mail.kde.org/pipermail/kde-frameworks-devel/2016-May/034640.html

tags: added: regression-proposed
Martin Pitt (pitti) wrote :

Hello Avishay, or anyone else affected,

Accepted networkmanager-qt into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/networkmanager-qt/5.18.0-0ubuntu1.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in networkmanager-qt (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: removed: verification-failed
tags: added: verification-needed
Uqbar (uqbar) wrote :

Martin, did any testing take place for this package change?
I am asking to know the risk of more problems.
TIA

Philip Muškovac (yofel) wrote :

I tested this on my system here, and I can at least tell you that it won't break plasma this time. The original bug also seems fixed, but please verify that.

confirmed this networkmanager-qt/5.18.0-0ubuntu1.4 does not break plasma and fixes the original bug. Now I can change connections settings with the kde network manager. Thank you people for the fix.

manuel fernandez (mfg) wrote :

Yes, networkmanager-qt/5.18.0-0ubuntu1.4 does not break plasma anymore.

Yuriy Vidineev (adeptg) wrote :

5.18.0-0ubuntu1.4 version fixes issue for me. Thanks!

Hervé Le Roy (hleroy) wrote :

5.18.0-0ubuntu1.4 works for me too. No more message "out of range for property gateway-ping-timeout" when editing a connection. Many thanks for the fix.

Uqbar (uqbar) wrote :

Which package should I install once I enable the proposed repo?
There seems to be no "networkmanager-qt" package at all!

Yuriy Vidineev (adeptg) wrote :

apt-get install libkf5networkmanagerqt6

networkmanager-qt - is the name of source package

Philip Muškovac (yofel) on 2016-05-18
tags: added: verification-done
removed: verification-needed
Corrado Mella (c-mella) wrote :

Just updated to the last 5.18.0-0ubuntu1.4 package, and creating a new connection works.
However, editing an existing connection throws the same "guint" bug.
I haven't rebooted yet, but be aware that the bug is still lingering there.

networkmanager-qt/5.18.0-0ubuntu1.4 fixed the bug for me. Thank you!

Luciano Barea (lubareac) wrote :

Any way to apply offline the patch?

Uqbar (uqbar) wrote :

I have been able to both create new connections (both wired and wireless) and to modify them.
No glitch.
For me that "libkf5networkmanagerqt6" fixed the issues.

Uqbar (uqbar) wrote :

@Luciano Barea you should be able to manually download the package when it will be pushed to the official repo as "http://packages.ubuntu.com/xenial/amd64/libkf5networkmanagerqt6/download", transfer the file to your system with a removable medium and install it with

sudo dpkg -i <package_filename>.deb

Cynthia (c2588551) wrote :

As mentioned in the duplicate report.
This patch has solved the issue here.

Thanks

yossarian_uk (morgancoxuk) wrote :

I fixed this by using the Kubuntu backports PPA (5.6.4) - 5.5.5 still affected by this bug at present

Thomas Dreibholz (dreibh) wrote :

networkmanager-qt/5.18.0-0ubuntu1.4 fixed the bug for me, too. After installing the fixed package and rebooting, I was able to create VPN connections. I did not test to just log out of KDE and log in again, which may also be sufficient.

Maxiride (maxiride-gmail) wrote :

This fix is also present in the ISO download from the official Kubuntu page?

Yuriy Vidineev (adeptg) wrote :

Maxiride, as I know, no. I hope it'll be in 16.04.1

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package networkmanager-qt - 5.18.0-0ubuntu1.4

---------------
networkmanager-qt (5.18.0-0ubuntu1.4) xenial; urgency=medium

  * Restore the wimax symbols with their original versions

networkmanager-qt (5.18.0-0ubuntu1.3) xenial; urgency=medium

  * Add kubuntu_enable_wimax_with_nm_12.diff which reverts upstream
    1611028164fed9f2ec5915e042b0b6e18a8a0892 to stay ABI compatible
  * Refresh the symbols again to bring the missing wimax symbols back

networkmanager-qt (5.18.0-0ubuntu1.2) xenial; urgency=medium

  * Refresh symbols to match the final network-manager 1.2 version

networkmanager-qt (5.18.0-0ubuntu1.1) xenial; urgency=medium

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * Add upstream patch to Initialize gateway ping timeout,
    Closes (LP: #1569674)
    - upstream_Initialize_gateway_ping_timeout.patch

 -- Philip Muškovac <email address hidden> Wed, 18 May 2016 08:06:16 +0000

Changed in networkmanager-qt (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for networkmanager-qt has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Avishay (avishay-livne) wrote :

I tried switching back to network-manager (was using WICD until now) and I still can't connect to wifi.
Can anyone walk me through the steps needed to get it work?
I tried updating it with
sudo apt-get install python-networkmanager libkf5networkmanagerqt-dev libkf5networkmanagerqt6
but I don't see any wifi networks in the network manager widget. Its UI is broken (see "broken_widget") but after I click the left button that supposedly enables wifi and click the scan button I get "Failed to request scan" error

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.